# Uses of Interface
org.springframework.beans.factory.xml.BeanDefinitionDocumentReader

Packages that use BeanDefinitionDocumentReader
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of BeanDefinitionDocumentReader in org.springframework.beans.factory.xml

Classes in org.springframework.beans.factory.xml that implement BeanDefinitionDocumentReader
Modifier and Type
Class
Description
`class`
`DefaultBeanDefinitionDocumentReader`
Default implementation of the `BeanDefinitionDocumentReader` interface that reads bean definitions according to the "spring-beans" DTD and XSD format (Spring's default XML bean definition format).
Methods in org.springframework.beans.factory.xml that return BeanDefinitionDocumentReader
Modifier and Type
Method
Description
`protected BeanDefinitionDocumentReader`
XmlBeanDefinitionReader.`createBeanDefinitionDocumentReader()`
Create the `BeanDefinitionDocumentReader` to use for actually reading bean definitions from an XML document.
Method parameters in org.springframework.beans.factory.xml with type arguments of type BeanDefinitionDocumentReader
Modifier and Type
Method
Description
`void`
XmlBeanDefinitionReader.`setDocumentReaderClass(Class<? extends BeanDefinitionDocumentReader> documentReaderClass)`
Specify the `BeanDefinitionDocumentReader` implementation to use, responsible for the actual reading of the XML bean definition document.